h2,
h4,
a,
abbr,
acronym,
address,
applet,
article,
aside,
audio,
b,
big,
blockquote,
body,
canvas,
caption,
center,
cite,
code,
dd,
del,
details,
dfn,
div,
dl,
dt,
em,
embed,
fieldset,
figcaption,
figure,
footer,
form,
h1,
h3,
h5,
h6,
header,
hgroup,
html,
i,
iframe,
img,
ins,
kbd,
label,
legend,
li,
mark,
menu,
nav,
object,
ol,
output,
p,
pre,
q,
ruby,
s,
samp,
section,
small,
span,
strike,
strong,
sub,
summary,
sup,
table,
tbody,
td,
tfoot,
th,
thead,
time,
tr,
tt,
u,
ul,
var,
video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
	display: block
}

body {
	line-height: 1
}

ol,
ul {
	list-style: none
}

blockquote,
q {
	quotes: none
}

blockquote:after,
blockquote:before,
q:after,
q:before {
	content: '';
	content: none
}

table {
	border-collapse: collapse;
	border-spacing: 0
}

a {
	text-decoration: none;
	color: inherit;
	cursor: pointer
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box
}

body {
	background-color: #000000;
	/* font-family: "Poppins", sans-serif; */
	font-family: 'Futura Std Medium';
}

/* Variables */


/* loader */

@keyframes float {
	0% {
		transform: translatey(0px);
	}

	50% {
		transform: translatey(-20px);
	}

	100% {
		transform: translatey(0px);
	}
}

.containerLoader {
	/* background: url('../image-assets/banner.webp'); */
	background: #d71921;
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	width: 100%;
	height: 100dvh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	position: fixed;
	z-index: 9999;
}

.avatar {
	transition: 2s ease;
	transform: scale(0.6);
}

.avatar.active {
	transform: scale(1);
}

.avatar img {
	height: 65px;
}

.content h1 {
	color: #A59891;
	margin-top: 2rem;
	font-size: 16px;
	text-transform: capitalize;
}

.login_btn,
.direct_btn {
	font-weight: bold;
}

.type-container {
	margin-top: 1rem;
}

.type-para-1 {
	color: #fff;
	font-size: 14px;
	white-space: nowrap;
	overflow: hidden;
	width: 20em;
	animation: type 2s steps(60, end);
	animation-delay: 3s;
	text-align: center;
	opacity: 0;
}

.type-para-2 {
	color: #fff;
	font-size: 14px;
	white-space: nowrap;
	overflow: hidden;
	width: 20em;
	animation: type2 4s steps(60, end);
	text-align: center;
	margin-top: 5px;
	animation-delay: 3s;
	opacity: 0;
}

.type-para-1.active,
.type-para-2.active {
	opacity: 1;
}

.type-para-2>span {
	animation: blink 1s infinite;
}

@keyframes type {
	from {
		width: 0;
		opacity: 1;
	}
}

@keyframes type2 {
	0% {
		width: 0;
	}

	50% {
		width: 0;
	}

	100% {
		width: 100;
	}
}

@keyframes blink {
	to {
		opacity: .0;
	}
}

::selection {
	background: black;
}


/* end loader  */


:root {
	--clrwhite: #ffffff;
	--clrblack: #000000;
	--clrblue: #d71921;
	--clrskyblue: #d71921;
	--clr-lgpurple: #CECEFF;
	--clrsteelgray: #1D1D1D;
}

/* index page css start */
.main_screen {
	max-width: 425px;
	margin: 0 auto;
	position: relative;
}

.splash_screen {
	background: url(../image-assets/banner-com.jpg) no-repeat;
	background-position: center;
}

.home-sec {
	width: 100%;
	height: 100dvh;
	background-size: cover;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
	align-items: center;
	padding: 2rem 1rem;
}

.login-btn {
	background: #ffffff;
	padding: 1rem 1.5rem;
	border-radius: 100px;
}

.logo-area {
	width: 112px;
	height: 112px;
	border-radius: 100%;
	box-shadow: 0 0 100px #d25ffc54;
}

.logo-area>img {
	width: 100%;
}
::-webkit-scrollbar{
	display: none !important;
}


.main-cont h1 {
	/* font-family: 'Futura Std Heavy'; */
	color: #fff;
	font-size: 54px;
	text-align: start;
	line-height: 1.1;
	text-transform: uppercase;
	text-align: center;
}


.main-cont p {
	width: 285px;
	color: var(--clrwhite);
	font-size: 16px;
	text-align: center;
	line-height: 1.5;
	margin-top: 10px;
}

.line_row {
	display: flex;
	align-items: center;
	gap: 20px;
	width: 100%;
	color: #ffffff;
}

.line_row span {
	display: block;
	height: 1px;
	width: 100%;
	background: #ffffff41;
}

.btn-area {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 1.5rem;
	width: 100%;
	margin-top: 2rem;
}

.connect-btn {
	font-weight: bold;
	font-size: 16px;
	border-radius: 45px;
	text-align: center;
	color: #fff;
	width: 100%;
	padding: 20px;
	background: #d71921;
	cursor: pointer;
	box-shadow: 2px 4px 8px rgba(0, 0, 0, 0.065);
}

.login-btn {
	color: #000;
	font-weight: 500;
	cursor: pointer;
}

/* index page css end */

.connect-sec {
	width: 100%;
	height: 100dvh;
	background-image: url('../images/main-bg.webp');
	background-repeat: no-repeat;
	background-size: 320%;
	background-position: top;
	display: flex;
	flex-direction: column;
	justify-content: space-around;
	align-items: center;
	overflow-x: hidden;
	overflow-y: scroll;
}

.connect-sec .banner-head {
	top: 0;
}

.btn-area-conn {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 20px;
}

.music-btn {
	font-size: 20px;
	text-align: center;
	width: 400px;
	padding: 16px;
	cursor: pointer;
	color: var(--clrwhite);
	border-radius: 45px;
	border: 1px solid #ffffff44;
	background: linear-gradient(180deg, rgba(255, 255, 255, 0.10) 0%, rgba(211, 217, 255, 0.10) 100%);
	box-shadow: 15px 14px 20px rgba(112, 144, 176, 0.20);
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.music-linked {
	background: linear-gradient(3deg, #d71921 -73.84%, #d71921 118.57%);
	padding: 17px;
	border: none;
}

.music-btn p {
	visibility: hidden;
}

.music-btn img {
	width: 25px;
}

.continue {
	color: var(--clrwhite);
	opacity: 0.5;
	margin-top: 10px;
}

.cont-ready {
	opacity: 1;
}


/* login signup css */
.join-sec {
	width: 100%;
	height: 100dvh;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	padding: 2rem 1rem;
	background: #ffffff;
	gap: 2rem;
	overflow: auto;
}

.logo-box img {
	height: 74px;
}

.logo-side {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 10px;
}

.logo-side img {
	width: 48px;
}

.logo-side h2 {
	color: var(--clrwhite);
	font-weight: bold;
	font-size: 24px;
}

.form-area {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100%;
}

.myform {
	width: 100%;
	margin-top: 2rem;
}

.form-area h2 {
	color: #848484;
	font-weight: bold;
	font-size: 16px;
	text-transform: uppercase;
	margin-top: 2rem;
}

.form-area h1 {
	font-family: 'Futura Std Heavy';
	color: #000;
	font-size: 45px;
	text-transform: uppercase;
	margin-top: 1rem;
}

.form-area p {
	color: var(--clrwhite);
	font-size: 10px;
	margin-top: 15px;
	margin-bottom: 25px;
}

.connect-btn2 {
	font-weight: 600;
	font-size: 16px;
	border-radius: 45px;
	text-align: center;
	width: 100%;
	padding: 20px;
	background: #d71921;
	color: #fff;
	margin-top: 2.5rem;
}

.sub-btn {
	border: none;
	outline: none;
	background-image: linear-gradient(#d71921, #255AE1);
	color: var(--clrwhite);
	margin-top: 27px;
}

.password-container {
	position: relative;
}

.password-icon {
	position: absolute;
	right: 15px;
	cursor: pointer;
}

#password-field {
	padding-right: 30px;
}

.myform h3 {
	color: var(--clrwhite);
	text-align: center;
	font-size: 12px;
	margin-top: 20px;
}

.form-group {
	width: 100%;
	color: #00000088;
	margin-top: 1.5rem;
}

button {
	border: none;
	outline: none;
}

.form-group input {
	width: 100%;
	border: none;
	outline: none;
	font-size: 16px;
	border-radius: 50px;
	width: 100%;
	padding: 16px;
	background: #00000013;
	color: #000000;
	margin-top: 16px;
}

input[type=checkbox] {
	position: relative;
	border: 2px solid #000000;
	border-radius: 2px;
	background: none;
	cursor: pointer;
	line-height: 0;
	margin: 0 .6em 0 0;
	outline: 0;
	padding: 0 !important;
	vertical-align: text-top;
	height: 20px;
	width: 20px;
	-webkit-appearance: none;
	opacity: .5;
}

input[type=checkbox]:hover {
	opacity: 1;
}

input[type=checkbox]:checked {
	opacity: 1;
}

input[type=checkbox]:before {
	content: '';
	position: absolute;
	right: 50%;
	top: 50%;
	width: 4px;
	height: 10px;
	border: solid transparent;
	border-width: 0 2px 2px 0;
	margin: -1px -1px 0 -1px;
	transform: rotate(45deg) translate(-50%, -50%);
	z-index: 2;
}

input[type=checkbox]:checked::before {
	border-color: #000000;
}

::placeholder {
	color: #00000088;
}

.check_area {
	display: flex;
	align-items: center;
	gap: 5px;
	color: #000000;
	font-size: 14px;
}

.myform a {
	color: #000;
	font-size: 14px;
	text-align: right;
	margin-top: 5px;
	padding-right: 20px;
}

.pst_row {
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: 100%;
	margin-top: 1rem;
}

.creatanch {
	color: #0000007d;
	font-size: 15px;
}

.creatanch a {
	color: #000000;
}

/* nav css */
.offcanvas {
	background: transparent;
	backdrop-filter: blur(6px);
}

.off-cont,
.offcanvas-header {
	background: #0F0F0F;
	max-width: 300px;
}

.close-btn {
	border: none;
	outline: none;
	background-color: transparent;
	width: 20px;
	height: 20px;
	margin-top: 5px;
	cursor: pointer;
}

.close-btn img {
	width: 100%;
}

.off-cont {
	padding: 20px 0;
	display: flex;
	flex-direction: column;
	gap: 20px;
	max-width: 300px;
	height: calc(100dvh - 57px);
	overflow: hidden auto;
}

.off-cont::-webkit-scrollbar {
	display: none;
}

.off-cont h2 {
	color: var(--clrwhite);
	font-size: 20px;
}

.side_logo {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.side_logo>img {
	height: 60px;
}

.side_logo>p {
	color: #fff;
	font-size: 14px;
	font-weight: 400;
	margin: 10px;
}

.nav_links {
	display: flex;
	flex-direction: column;
}

.nav_links a {
	display: flex;
	align-items: center;
	color: #fff;
	gap: 1rem;
	font-size: 16px;
	padding: 1rem;
}

.nav_links a.active,
.nav_links a:hover {
	color: var(--clrblue);
}

.nav_links a img {
	height: 20px;
}

.nav_links a img:nth-child(2) {
	display: none;
}

.nav_links a.active img:nth-child(1),
.nav_links a:hover img:nth-child(1) {
	display: none;
}

.nav_links a.active img:nth-child(2),
.nav_links a:hover img:nth-child(2) {
	display: block;
}

.nav_links a:hover {
	background: #181818;
}

/* discover css */
.opning-sec {
	/* background: linear-gradient(180deg, #fff 30% , #fa656d); */
	background: #fff;
	width: 100%;
	height: 100dvh;
	overflow: auto;
}

.opning-sec::-webkit-scrollbar {
	display: none;
}

.int_pop {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding-top: 10vh;
}

.int_pop img {
	height: 55px;
}

.int_pop form {
	display: flex;
	align-items: center;
	width: 100%;
	border-radius: 50px;
	border: 1px solid #00000045;
	padding: 5px;
	margin-top: 100px;
}

.int_pop form button {
	min-width: 42px;
	width: 42px;
	height: 42px;
	border-radius: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	background: #d71921;
}

.innper_cnt {
	padding: 0 1rem;
}

.int_pop form input {
	width: 100%;
	padding-left: 1rem;
	background: transparent;
	border: none;
	outline: none;
	color: #fff;
}

.int_pop form button img {
	height: 50%;
}

.container-area {
	width: 100%;
	position: fixed;
	bottom: 0;
	right: 0;
	top: 0;
	z-index: 1;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	padding-top: 20px;
	overflow-y: scroll;
	overflow-x: hidden;
	transition: 0.5s;
}

.container-area::-webkit-scrollbar {
	display: none;
}

.prompt-head {
	position: sticky;
	background-color: #d71921;
	width: 100%;
	top: 0;
	left: 0;
	right: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 20px;
	box-shadow: 0 -10px 40px rgba(0, 0, 0, 0.240);
	font-size: 45px;
	z-index: 2;
}

.prompt-nav {
	max-width: 600px;
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.suggest {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	gap: 12px;
}

.suggest::-webkit-scrollbar {
	width: 1em;
}

.suggest::-webkit-scrollbar-thumb {
	background-color: transparent;
}

#playlist-u,
#mood-u,
#artist-u {
	display: none;
}

.tile {
	max-width: 190px;
	aspect-ratio: 1.6/2;
	width: 100%;
	height: 100%;
	border-radius: 10px;
	position: relative;
	display: block;
	overflow: hidden;
	flex-basis: 48%;
}

.tile>img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.tile-bg {
	backdrop-filter: blur(2.5px);
	border-radius: 5px;
	padding: 15px;
	position: absolute;
	bottom: 5px;
	left: 5px;
	right: 5px;
	color: var(--clrwhite);
	transition: 0.5s ease;
	transform: translateY(120%);
	background: #d71921;
	min-height: 90px;
}

.tile:hover .tile-bg {
	transform: translateY(0%);
}

.tile-bg>h2 {
	font-size: 16px;
	color: var(--clrwhite);
	line-height: 1.3;
}

.tile-bg>p {
	font-size: 15px;
	line-height: 1.3;
	margin-top: 10px;
	color: var(--clrwhite);
	display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.explore {
	width: 34px;
	height: 34px;
	border-radius: 5px;
	border: 1px solid rgba(255, 255, 255, 0.621);
	background: transparent;
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 0px 0px -8px 83%;
	margin-top: 1rem;
	background-color: white;
}

.explore>img {
	width: 16px;
	transition: 0.5s;
	filter: invert(100%);
}

.t-1 {
	background-image: url(../images/sugg-1.jpg);
	background-size: cover;
	background-repeat: no-repeat;
}

.t-2 {
	background-image: url(../images/sugg-2.jpg);
	background-size: cover;
	background-repeat: no-repeat;
}

.t-3 {
	background-image: url(../images/sugg-3.jpg);
	background-size: cover;
	background-repeat: no-repeat;
}

.t-4 {
	background-image: url(../images/sugg-4.jpg);
	background-size: cover;
	background-repeat: no-repeat;
}

.t-5 {
	background-image: url(../images/sugg-5.jpg);
	background-size: cover;
	background-repeat: no-repeat;
}

.t-6 {
	background-image: url(../images/sugg-6.jpg);
	background-size: cover;
	background-repeat: no-repeat;
}

.prompt-add {
	position: sticky;
	background-color: #d71921;
	width: 100%;
	bottom: 0;
	left: 0;
	right: 0;
	display: flex;
	justify-content: space-around;
	align-items: center;
	padding: 16px;
	box-shadow: 0 -10px 40px rgba(0, 0, 0, 0.240);
	font-size: 30px;
	z-index: 1;
}

.main_head {
	color: #FFFFFF;
	font-size: 18px;
	text-transform: uppercase;
}

.add-btn img {
	height: 60px;
	border-radius: 100%;
}

.foryou {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	color: var(--clrwhite);
	font-size: 12px;
	cursor: pointer;
	opacity: 0.5;
}

.foryou.active,
.foryou:hover {
	opacity: 1;
}

.foryou img {
	width: 24px;
}

.foryou p {
	margin-top: 10px;
}

.player-prompt {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	color: var(--clrwhite);
	opacity: 0.5;
	font-size: 12px;
	cursor: pointer;
}

.player-prompt img {
	width: 24px;
}

.player-prompt p {
	margin-top: 10px;
}

.custom-select {
	position: relative;
	display: inline-block;

}

.select-style {
	position: relative;
	width: 130px;
	font-size: 12px;
	background: rgba(255, 255, 255, 0.102);
	color: var(--clrwhite);
	border: 1px solid #5a91ff78;
	box-shadow: 0px 4px 20px rgba(255, 255, 255, 0.108);
	padding: 10px;
	border-radius: 12px;
	display: flex;
	justify-content: space-evenly;
	align-items: center;
}

/* Custom arrow icon */
.select-arrow {
	margin-left: auto;
	width: 0;
	height: 0;
	border-left: 6px solid transparent;
	border-right: 6px solid transparent;
	border-top: 6px solid #555;
}

/* Dropdown options container */
.custom-options {
	margin-top: 10px;
	display: none;
	position: absolute;
	border-radius: 5px;
	overflow-y: auto;
	max-height: 150px;
	z-index: 1;
	width: 100%;
	font-size: 12px;
	background: rgba(28, 28, 28, 0.801);
	color: var(--clrwhite);
	;
	box-shadow: 0px 4px 20px rgba(255, 255, 255, 0.108);
	transition: 0.5s;
	border: 1px solid #5a91ff78;
}

.custom-options.active {
	display: block;
}

.custom-option {
	padding: 10px;
	cursor: pointer;
}

.custom-option:hover {
	background-color: #dddddd85;
}

.kai-select {
	width: 120px;
	font-size: 12px;
	background: rgba(255, 255, 255, 0.102);
	color: var(--clrwhite);
	border-color: #5a91ff78;
	box-shadow: 0px 4px 20px rgba(255, 255, 255, 0.108);
	padding: 10px 15px;
	border-radius: 12px;
}

.kai-select option {
	color: black;
}

.canvas-u {
	width: 100% !important;
}

.coll-u {
	position: fixed;
	left: 0;
	right: 0;
	top: 80px;
	z-index: 4;
	background: transparent;
	background-color: var(--clrsteelgray);
}

.card {
	width: 100%;
	background-color: var(--clrsteelgray);
	display: flex;
	justify-content: center;
	align-items: center;
}

.search-u {
	max-width: 600px;
	width: 100%;
	background-color: rgba(255, 255, 255, 0.113);
	border-radius: 25px;
	border: 1px solid rgba(255, 255, 255, 0.24);
	display: flex;
	justify-content: space-around;
	align-items: center;
}

.search-u input {
	width: 80%;
	background: transparent;
	border: none;
	outline: none;
	color: var(--clrwhite);
	font-size: 14px;
	padding: 15px;
	border-radius: 25px;
}

.search-u button {
	background: transparent;
	border: none;
	outline: none;
}

.op-50 {
	opacity: 0.5;
}


/* music page css */

.tile2 {
	width: 200px;
	height: auto;
	border-radius: 10px;
	margin: 10px;
	background-color: rgba(255, 255, 255, 0.059);
	text-align: center;
	color: var(--clrwhite);
	padding-bottom: 15px;
}

.tile2 img {
	width: 100%;
	border-radius: 10px;
}

.tile2 h2 {
	font-weight: 500;
	font-size: 16px;
	margin-top: 10px;
}

.tile2 p {
	font-size: 12px;
	margin-top: 10px;
}

.art-sec h2 {
	margin-top: -45px;
}

.tile3 {
	text-align: center;
}

.tile3 h2 {
	font-weight: 500;
	font-size: 18px;
}

.tile3 p {
	font-size: 14px;
	margin: 10px 0;
}

/* music page 2 css */

.cont-home {
	padding-top: 0;
}

.banner-box {
	width: 100%;
	height: 400px;
	background-image: url('../images/music-3.png');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	padding: 20px;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
}

.banner-head {
	width: 100%;
	display: flex;
	justify-content: space-between;
}

.icon-bg {
	width: 30px;
	height: 30px;
	background-color: #00000030;
	padding: 5px;
	border-radius: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	color: white;
}

.icon-bg:first-child {
	font-size: 20px;
}

.icon-bg:nth-child(2) {
	font-size: 25px;
}

.for-dark {
	background-color: #ffffff30;
}

.for-dark2 {
	background-color: #ffffff21;
}

.banner-body {
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	color: var(--clrwhite);
	gap: 10px;
}

.banner-body>h2 {
	font-weight: bold;
	font-size: 20px;
}

.banner-body>span {
	font-size: 15px;
}

.banner-body>p {
	font-size: 12px;
}

.play-btn {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 20px;
	font-size: 60px;
}

.play-btn a {
	width: 150px;
	border: 1px solid #d71921;
	border-radius: 10px;
	background-color: rgba(255, 255, 255, 0.084);
	color: var(--clrwhite);
	font-weight: bold;
	padding: 10px 0px;
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 10px;
	cursor: pointer;
	text-decoration: none;
}

.play-btn a:hover {
	background-color: rgba(255, 255, 255, 0.237);
}

.play-container {
	width: 100%;
}

.play-box {
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
	color: var(--clrwhite);
	border-bottom: 1px solid rgba(255, 255, 255, 0.192);
	padding: 15px;
	background-color: var(--clrsteelgray);
}

.label-area {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 20px;
}

.lab-1 {
	display: flex;
	justify-content: center;
	align-items: center;

	gap: 10px;
	opacity: 0.5;
}

.lab-1 span {
	font-size: 16px;
}

.dot-u {
	font-size: 6px;
	margin-top: 2px;
}

.lab-2 h2 {
	font-size: 16px;
}

.lab-2 p {
	font-size: 10px;
	margin-top: 5px;
}

.dot3 {
	padding: 5px;
	cursor: pointer;
	font-size: 27px;
}

.prompt-add2 {
	background-color: var(--clrsteelgray);
	width: 100%;
	position: -webkit-sticky;
	position: sticky;
	left: 0;
	right: 0;
	bottom: 0;
	display: flex;
	justify-content: space-evenly;
	align-items: center;
	padding: 16px;
	box-shadow: 0 -10px 40px rgba(0, 0, 0, 0.240);
	font-size: 30px;
}

/* music player head css with working */
.image-section {
	position: relative;
}

.player-head {
	width: 100%;
	height: 400px;
	position: relative;
}

.fadde-play {
	background-image: linear-gradient(rgba(255, 0, 0, 0), rgba(255, 0, 0, 0), #1D1D1D);
	position: absolute;
	inset: 0;
	z-index: 2;
}

.player-head img {
	width: 100%;
}

/* music player page css with working */
.music-body {
	background: #1D1D1D;
	position: relative;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-between;
}

.btn-u {
	outline: none;
	border: 0;
	background: transparent;
	color: white;
	height: 20px;
	width: 20px;
	border-radius: 50%;
	cursor: pointer;
}

.top-icons {
	display: flex;
	justify-content: center;
	align-items: center;
}

.layer {
	background: transparent;
	height: 2.188rem;
	width: 100%;
	display: flex;
	justify-content: end;
	align-items: center;
	padding: 0 10px;
}

.volume-slider,
.progress-bar {
	position: relative;
	width: 100%;
	height: 0.2rem;
	background: gray;
}

.volume-slider .bar,
.progress-bar .progress-line {
	display: block;
	width: 0;
	height: inherit;
	background-color: white;
	border-radius: 6px;
}

.volume-slider .bar {
	width: 100%;
}

.volume-slider .volumerange,
.progress-bar .progress {
	width: 100%;
	-webkit-appearance: none;
	height: inherit;
	background: transparent;
	outline: none;
	position: absolute;
	top: 0;
	left: 0;
}

.volume-slider .volumerange::-webkit-slider-thumb,
.progress-bar .progress::-webkit-slider-thumb {
	-webkit-appearance: none;
	height: 0.7rem;
	width: 0.7rem;
	background-color: transparent;
	border-radius: 50%;
	cursor: pointer;
}

/* volume range slider design end */
.top-u {
	position: fixed;
	z-index: 20;
	padding: 20px;
}

.layer.hide {
	visibility: visible;
}

.music-img {
	width: 100%;
	height: 400px;
	overflow: hidden;
}

.music-img img {
	object-fit: cover;
	height: 100%;
	width: 100%;
}

.music-info {
	text-align: center;
}

.music-progress {
	margin-top: 1rem;
}

.music-progress .progress-bar {
	height: 6px;
	width: 100%;
	margin-bottom: 0.4rem;
	position: relative;
	border-radius: 10px;
}

.progress-bar {
	cursor: pointer;
}

.progress {
	background: #818181;
	width: 0;
	height: 100%;
	position: relative;
}

.progress::before {
	content: "";
	position: absolute;
	height: 0.7rem;
	width: 0.7rem;
	border-radius: 50%;
	top: 50%;
	right: -5px;
	z-index: 2;
	transform: translateY(-50%);
	background: inherit;
	transition: all 0.1s ease;
}

.duration {
	display: flex;
	color: white;
	justify-content: space-between;
}

.control-system {
	width: 100%;
	max-width: 600px;
	padding: 15px;
	background-color: #1D1D1D;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	height: auto;
}

.duration span {
	font-size: 0.7rem;
}

.music-controls {
	display: flex;
	justify-content: space-around;
	align-items: center;
	width: 100%;
	margin-top: 20px;
	margin-bottom: 20px;
}

.prevbtn,
.nextbtn,
.playpause {
	border: 0;
	outline: 0;
	font-size: 2rem;
	background: transparent;
	color: rgba(255, 255, 255, 0.516);
	cursor: pointer;
}

.prevbtn:hover,
.nextbtn:hover {
	color: white;
}

.playpause {
	font-size: 25px;
	background: rgba(255, 255, 255, 0.13);
	height: 4rem;
	width: 4rem;
	color: #fff;
	border-radius: 50%;
	display: grid;
	place-items: center;
}

.fa-play {
	position: relative;
	display: inline-block;
	left: 0.1rem;
}

.main-controls {
	position: relative;
	border-radius: 2rem;
	padding: 0.5rem 1rem;
	display: flex;
	justify-content: space-between;
}

.color {
	color: #5180F3;
}

/* music list */

.list-close {
	background: none;
	font-size: 1.1rem;
	color: #ff1b1bf3;
	position: absolute;
	top: 0.4rem;
	right: 0.4rem;
}

.repeat {
	font-size: 1.5rem;
	display: flex;
	align-items: center;
	justify-content: center;
}

.like {
	font-size: 1.5rem;
	display: flex;
	align-items: center;
	justify-content: center;
}

.details h3 {
	color: white;
	font-weight: bold;
	font-size: 20px;
	text-transform: uppercase;
}

.details p {
	color: white;
	font-size: 15px;
	text-transform: uppercase;
	margin-top: 10px;
}

.details p:before {
	content: 'single by ';
}

.fa-circle {
	font-size: 5px;
	margin-top: 10px;
	color: #3850D8;
}

.alb-box {
	display: flex;
	justify-content: left;
	align-items: center;
	gap: 5px;
}

.details span {
	color: #C0C0C0;
	font-size: 12px;
	text-transform: capitalize;
	margin-top: 10px;
}

.last-foot-u {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin-top: 20px;
}

.icon-u2 {
	width: 22px;
	height: 22px;
}

.icon-u2 img {
	width: 100%;
}

/* chat css */

.chat-input {
	width: 100%;
	padding: 20px;
	height: calc(100vh - 208px);
	margin-top: 67px;
	overflow-x: hidden;
	overflow-y: scroll;
	margin-bottom: 12vh;
}

.user-comd {
	width: 100%;
	height: auto;
	border-radius: 10px;
	background-color: white;
	padding: 10px;
	display: none;
}

.user-ind {
	width: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.user {
	display: flex;
	align-items: center;
}

.user-img {
	width: 32px;
	height: 32px;
	margin-right: 10px;
	border-radius: 100%;
	overflow: hidden;
}

.user-img img {
	width: 100%;
}

.user>p {
	color: black;
	font-size: 18px;
	font-weight: bold;
}

.edit-chat {
	width: 18px;
	height: 18px;
	display: flex;
	justify-content: center;
	align-items: center;
	margin-right: 10px;
}

.edit-chat>img {
	width: 100%;
}

.user-ask {
	width: 100%;
	color: black;
	font-size: 15px;
}

.user-ask>span {
	width: 80%;
	line-height: 1.2;
}

.dune-reply {
	width: 100%;
	height: auto;
	padding: 10px;
	border-radius: 10px;
	border: 1px solid #d71921;
	background-color: #ffffff2e;
	margin-top: 10px;
	overflow: hidden;
	margin-bottom: 20px;
	color: white;
	display: none;
}

.kai {
	display: flex;
	justify-content: center;
	align-items: center;
	color: var(--clr-white);
}

.kai-img {
	width: 33px;
	height: 33px;
	background-color: var(--clr-white);
	border-radius: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	margin-right: 10px;
}

.kai-img>img {
	width: 80%;
}

.dune-reply>p {
	color: white;
	font-size: 15px;
	margin-top: 10px;
	line-height: 1.2;
}

.slide-div {
	width: 100%;
}

div.scroll {
	display: flex;
	overflow-x: scroll;
	overflow-y: hidden;
	white-space: nowrap;
	gap: 20px;
	padding: 10px;
}

div.scroll::-webkit-scrollbar {
	display: none;
}

.dune-card {
	border-radius: 10px;
	background-color: #d71921;
	width: auto;
	height: auto;
	display: flex;
	flex-direction: column;
	justify-content: start;
	align-items: center;
	gap: 10px;
}

.dune-card>img {
	width: 220px;
	border-radius: 10px;
}

.redirect-btn {
	display: flex;
	justify-content: space-evenly;
	align-items: center;
	gap: 10px;
	width: 90%;
	font-size: 15px;
	border-radius: 5px;
	margin: 10px;
}

.dune-card>h3 {
	color: white;
	font-size: 16px;
}

.dune-card>h4 {
	color: #d71921;
	font-size: 16px;
}

.dune-card>p {
	color: white;
	font-size: 12px;
	padding: 0 10px;
	white-space: wrap;
	line-height: 1.5;
	text-align: center;
}

.typing-animation {
	display: flex;
	padding-left: 25px;
	margin-top: 10px;
}

.typing-dot {
	height: 7px;
	width: 7px;
	opacity: 0.7;
	margin: 0 3px;
	border-radius: 50%;
	background-color: white;
	animation: animateDots 1.5s var(--delay) ease-in-out infinite;
}

@keyframes animateDots {

	0%,
	44% {
		transform: translateY(0px);
	}

	22% {
		opacity: 0.4;
		transform: translateY(-6px);
	}

	44% {
		opacity: 0.2;
	}
}

.chat-position {
	position: sticky;
	bottom: 0px;
	left: 0px;
	right: 0px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.chat-logo-area {
	width: 25px;
	height: 25px;
	border-radius: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	background: linear-gradient(180deg, #FBFBFF 0%, #CACAFF 100%);
}

.chat-logo-area img {
	width: 70%;
}

.screen_orange {
	background: #d71921;
}

.kaimusic {
	font-weight: bold;
	font-size: 12px;
	color: white;
}

#select-u {
	border-color: rgba(255, 255, 255, 0.42);
}

.chat-input-area {
	width: 100%;
	padding: 16px;
}

.chat-sugg-2 {
	width: 100%;
	border-radius: 45px 45px 45px 0px;
	background: transparent;
	box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
	backdrop-filter: blur(5.9px);
	-webkit-backdrop-filter: blur(5.9px);
	border: 1px solid #fff;
	padding: 16px;
	font-size: 16px;
	color: #fff;
	line-height: 1.5;
	background: #ffffff2d;
}

.chat-sugg-2>a {
	color: #d71921;
}

.type-input-area {
	width: 100%;
	padding: 0px 16px 16px;
}

.screen_orange .innper_cnt {
	min-height: calc(100dvh - 140px);
}

.input-box {
	display: flex;
	width: 100%;
	justify-content: center;
	position: relative;
	gap: 10px;
	background: #fff;
	border-radius: 50px;
	padding: 4px;
}

#inputField {
	width: 100%;
	background-color: transparent;
	border: none;
	border-radius: 42px;
	outline: none;
	color: #000;
	padding: 0 15px;
	font-size: 16px;
}

#inputField::placeholder {
	color: #575757;

}

.mic-btn {
	background-color: white;
	border-radius: 100%;
	height: 50px;
	width: 50px;
	display: flex;
	justify-content: center;
	align-items: center;
}

.mic-btn img {
	width: 50%;
}

.send-btn {
	background: #d71921;
	border-radius: 100%;
	height: 50px;
	width: 50px;
	min-width: 50px;
	display: flex;
	justify-content: center;
	align-items: center;
	outline: none;
	border: none;
}

.send-btn img {
	width: 50%;
}

.end-para {
	color: #9E9E9E;
	font-size: 10px;
	line-height: 1.5;
	text-align: center;
	margin-top: 10px;
}

.back-you {
	width: 40px;
	height: 40px;
}

.back-you img {
	width: 100%;
}


/* artist page css */
.artist-sec {
	background-color: var(--clrsteelgray);
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.my-container {
	max-width: 992px;
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.main-head-artist {
	width: 100%;
	height: 600px;
	position: relative;
	inset: 0;
	overflow: hidden;
}

.main-head-artist>img {
	width: 130%;
}

.art-for-mob {
	display: none;
}

.main-fade {
	width: 100%;
	height: 300px;
	background-image: linear-gradient(rgba(255, 0, 0, 0), #1D1D1D);
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: 2;
	margin: 0;
	padding: 0;
}

.cent-cont {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-top: -60px;
	z-index: 3;
	position: relative;
}

.play-btn2 {
	width: 80px;
	height: 80px;
	border-radius: 100%;
	background-color: #ffffff1e;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 30px;
}

.art-nam {
	text-align: center;
}

.art-nam>h1 {
	color: var(--clrwhite);
	font-size: 35px;
	font-weight: bold;
	margin-top: 20px;
}

.art-nam>p {
	color: var(--clrwhite);
	font-size: 20px;
	margin-top: 20px;
}

.artist-play-btn {
	width: 250px;
	background: linear-gradient(92deg, #d71921 0%, #364CD6 100%);
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 7px 20px 7px 7px;
	border-radius: 50px;
	margin-top: 25px;
}

.artist-play-btn>img {
	width: 35px;
}

.artist-play-btn>p {
	color: var(--clrwhite);
	font-size: 18px;
	letter-spacing: 1px;
}

.sub-para {
	color: var(--clrwhite);
	font-size: 18px;
	letter-spacing: 1px;
	margin-top: 20px;
}

.main-art-cont {
	max-width: 650px;
	width: 100%;
	margin-top: 20px;
	padding: 20px;
}

.main-art-cont>h2 {
	color: var(--clrwhite);
	font-size: 22px;
	font-weight: bold;
}

.about-artist {
	width: 100%;
	height: 160px;
	position: relative;
	overflow: hidden;
}

.about-artist-full {
	height: auto;
}

.about-artist>p {
	color: var(--clrwhite);
	font-size: 16px;
	margin-top: 20px;
	line-height: 1.5;

}

.more-about {
	color: #4F86F9;
	font-size: 16px;
	font-weight: bold;
	position: absolute;
	bottom: 0;
	right: 0;
	width: 140px;
	text-align: right;
	background-image: linear-gradient(to right, #1e1e1e00, #1D1D1D, #1D1D1D);
	padding: 5px 10px 0px 10px;
	text-transform: uppercase;
}

.more-artist-thing {
	max-width: 650px;
	width: 100%;
	background-color: #181818;
	padding-bottom: 20px;
}

.more-artist-thing>h2 {
	color: var(--clrwhite);
	font-size: 22px;
	font-weight: bold;
	margin: 20px;
}

.location-area {
	border: 1px solid rgba(255, 255, 255, 0.525);
	border-radius: 10px;
	padding: 10px 10px 10px 20px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	background-color: rgba(255, 255, 255, 0.057);
	margin: 15px 20px;
}

.extra-margin {
	margin-top: 20px;
}

.loca-cont {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: left;
	height: 160px;
}

.loca-cont-2 {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: left;
}

.first-cont {
	display: flex;
	justify-content: left;
	align-items: center;
	gap: 7px;
}

.first-cont>img {
	width: 25px;
}

.first-cont>span {
	color: #4F86F9;
	font-weight: bold;
	font-size: 20px;
}

.solid-m-k {
	color: #4F86F9;
	font-size: 18px;
}

.second-cont>h2 {
	color: white;
	font-weight: bold;
	font-size: 25px;
	letter-spacing: 1.5px;
	line-height: 1.5;
}

.date-side {
	width: 80px;
	height: 80px;
}

.date-side>img {
	width: 100%;
}

.second-cont>h4 {
	width: 85%;
	color: white;
	font-size: 25px;
	line-height: 1.3;
	margin-bottom: 15px;
}

.second-cont>p {
	color: white;
	font-size: 25px;
	margin-top: 10px;
}

.third-cont>p {
	color: #CACACA;
	font-size: 18px;
	margin-top: 10px;
}

.map-area-u {
	width: 170px;
	height: 200px;
	overflow: hidden;
	border-radius: 10px;
}

.hr {
	border-color: #3C3C3C;
	margin-top: 25px;
}

.my-music-box {
	display: flex;
	align-items: center;
	gap: 30px;
	margin-top: 20px;
	margin-left: 20px;
}

.in-my-music {
	width: 170px;
	height: 170px;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 10px;
}

.art-music-1 {
	background-image: url('../images/in-my-music-1.jpg');
}

.art-music-2 {
	background-image: url('../images/in-my-music-2.jpg');
}

.art-music-3 {
	background-image: url('../images/in-my-music-3.jpg');
}

.art-music-4 {
	background-image: url('../images/in-my-music-4.jpg');
}

.art-music-5 {
	background-image: url('../images/in-my-music-5.jpg');
}

.art-music-6 {
	background-image: url('../images/in-my-music-6.jpg');
}

.art-music-7 {
	background-image: url('../images/in-my-music-7.jpg');
}

.art-music-8 {
	background-image: url('../images/in-my-music-8.jpg');
}

.play-btn3 {
	width: 50px;
	height: 50px;
	border-radius: 100%;
	background-color: #ffffff1e;
	display: flex;
	justify-content: center;
	align-items: center;
	transition: 0.5s;
}

.play-btn3:hover {
	background-color: #ffffff33;
}

.my-music-cont {
	height: 150px;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.my-music-cont>h2 {
	color: var(--clrwhite);
	font-weight: bold;
	font-size: 28px;
}

.my-music-cont>p {
	color: var(--clrwhite);
	font-size: 22px;
}

.art-music-btn {
	display: flex;
	gap: 10px;
	margin-top: 15px;
}

.art-music-btn>button {
	border: none;
	outline: none;
	background: transparent;
	background-color: rgba(255, 255, 255, 0.046);
	border: 1px solid #4f85f982;
	padding: 10px 15px;
	color: white;
	font-size: 18px;
	border-radius: 20px;
}

.slick-list {
	padding: 0 18% 0 0 !important;
}

.last-art-sec {
	max-width: 650px;
	width: 100%;
}

.last-art-sec>h2 {
	color: var(--clrwhite);
	font-size: 22px;
	font-weight: bold;
	margin-top: 20px;
	margin-left: 20px;
}

.center {
	padding-bottom: 20px;
}

.center div {
	padding: 0 10px 10px 10px;
}

.top-u2 {
	position: fixed;
	top: 20px;
	left: 20px;
	z-index: 5;
}

.innper_cnt {
	min-height: calc(100dvh - 161.5px);
}

/* explore page css ====================================================== */

.explore_card {
	position: relative;
	aspect-ratio: 1/1.3;
	width: 100%;
	/* height: 100%; */
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	scroll-snap-align: start;
	overflow: hidden;
	border-radius: 15px;
}
.app__videos{
	margin-top: 1rem;
}
.explore_card:not(:last-child) {
	margin-bottom: 1rem;
}

.explore_card>img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	border-radius: 15px;
}

.explore_card>button {
	width: 55px;
	height: 55px;
	border-radius: 100%;
	position: absolute;
	display: flex;
	justify-content: center;
	align-items: center;
	background: #fff;
}

.explore_card>a {
	background: #ffffff13;
	border-radius: 50px;
	padding: 14px 1.5rem;
	position: absolute;
	bottom: 1rem;
	right: 1rem;
	color: #fff;
	backdrop-filter: blur(6px);
	font-size: 14px;
}

.center_area {
	overflow-x: auto;
	overflow-y: hidden;
}

.player-prompt {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	color: var(--clrwhite);
	opacity: 0.5;
	font-size: 12px;
	color: #fff;
}

.player-prompt:hover {
	color: #fff;
}

.app__videos {
	position: relative;
	overflow: scroll;
	width: 100%;
	scroll-snap-type: y mandatory;
	height: calc(100dvh - 162px);
}

.app__videos::-webkit-scrollbar {
	display: none;
}

.app__videos {
	-ms-overflow-style: none;
	scrollbar-width: none;
}

.video__player {
	object-fit: cover;
	width: 100%;
	height: 100%;
}

.video__player::-webkit-media-controls-fullscreen-button {
	display: none;
}

.video__player::-webkit-media-controls-panel {
	position: absolute;
	inset: 0;
	bottom: 2.5rem;
	background: transparent;
}

.muted,
.playbutton {
	display: none;
}

/* DOUBLE SPINNER */
.double-spinner {
	position: relative;
}

.dbl-spinner {
	position: absolute;
	width: 52px;
	height: 52px;
	border-radius: 50%;
	background-color: transparent;
	border: 4px solid transparent;
	border-top: 4px solid #222;
	border-left: 4px solid #222;
	-webkit-animation: 2s spin linear infinite;
	animation: 2s spin linear infinite;
}

.dbl-spinner--2 {
	border: 4px solid transparent;
	border-right: 4px solid orangered;
	border-bottom: 4px solid orangered;
	-webkit-animation: 1s spin linear infinite;
	animation: 1s spin linear infinite;
}

.spin_loader {
	position: absolute;
	aspect-ratio: 1 / 1;
	width: 100%;
	height: 100%;
	max-width: 55px;
	max-height: 55px;
}

@keyframes spin {
	from {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	to {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

video::-webkit-media-controls {
	visibility: hidden;
}

video::-webkit-media-controls-enclosure {
	visibility: visible;
}

/* map page css   */
.map_area {
	position: relative;
	border-radius: 20px 20px 0 0;
	overflow: hidden;
	height: calc(100dvh - 162px);
}

.map_area form {
	position: absolute;
	top: 20px;
	width: auto;
	left: 20px;
	right: 20px;
	box-shadow: 0 5px 15px #00000028;
}

.map_area iframe {
	width: 100%;
	height: 100%;
}

/* comunity page css  */

.banner_image>img {
	width: 100%;
	aspect-ratio: 2/0.8;
	height: 100%;
	object-fit: cover;
}

.prof_detail {
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	margin-top: -3rem;
	padding: 0 1rem;
}

.profile_image>img {
	max-width: 80px;
	aspect-ratio: 1/1;
	border-radius: 5px;
	border: 2px solid #0F0F0F;
	background: #d71921;
}

.prof_detail h2 {
	color: #000;
	font-size: 20px;
	font-size: 600;
	margin-top: 12px;
	text-align: center;
}

.prof_detail p {
	color: #000;
	font-size: 12px;
	margin-top: 10px;
	font-weight: 400;
	text-align: center;
	line-height: 1.5;
}

.link_sstd {
	display: flex;
	align-items: center;
	gap: 10px;
	margin: 12px;
}

.link_sstd img {
	height: 14px;
}

.link_sstd a {
	display: flex;
	align-items: center;
	gap: 4px;
	color: #26A4FF !important;
	font-size: 12px;
}

.link_sstd .vvr {
	width: 1px;
	height: 12px;
	background: #fff;
	opacity: .3;
}

.com_image_grid {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	gap: 10px;
	padding: 10px;
	margin-top: 10px;
}

.com_image {
	max-width: 195px;
	aspect-ratio: 1.4 / 2;
	width: 100%;
	height: 100%;
	border-radius: 10px;
	position: relative;
	display: block;
	overflow: hidden;
	flex-basis: 48%;
}

.com_image img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}


/* qr code css  */
.Qr_area {
	width: 100%;
	height: calc(100dvh - 162px);
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

#reader {
	width: 100%;
	height: 100%;
	border: none !important;
}

#reader__scan_region {
	width: 100%;
	height: 100%;
	border: none !important;
}

#reader__scan_region video {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.result {
	color: #000;
	font-size: 14px;
	position: absolute;
	color: #0151ff;
	z-index: 1;
	top: 1rem;
	left: 2rem;
	right: 2rem;
	text-align: center;
	text-decoration: underline;
	background: #181818;
	padding: 12px;
	border-radius: 50px;

}

#reader__scan_region img {
	background: #fff;
	padding: 6px;
	border-radius: 5px;
}

#reader__dashboard {
	position: absolute;
	bottom: 1rem;
	color: #fff;
	font-size: 12px;
}

#reader__dashboard select {
	margin-top: 10px;
}

#reader__dashboard select:disabled {
	display: none;
}

#reader__dashboard button {
	padding: 12px;
	border-radius: 5px;
	background: #d71921;
	color: #fff;
	margin-top: 12px;
}

span.html5-qrcode-element {
	color: #fff;
	margin-top: 1rem;
	display: block;
}

:root {
	--primary-color: #d71921;
	--background-color: #1E1E1E;
	--card-background: #2A2A2A;
	--text-color: #FFFFFF;
}

.search-form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 1rem;
    background: #ffffff;
    border-radius: 20px;
    box-shadow: 0 0 15px #00000017;
    margin-top: 1rem;
}
.search-form option {
	color: #000;
}
select.my_select, input[type="text"] {
    width: 100%;
    padding: 10px 2rem 10px 1rem;
    border: 1px solid #444;
    border-radius: 50px;
    background-color: transparent;
    color: #000;
}
select.my_select:focus {
	border-color: #fff !important;
}

.divider {
	text-align: center;
	color: #888;
}

.search-btn {
	background-color: var(--primary-color);
	color: var(--text-color);
	border: none;
	padding: 1rem;
	border-radius: 25px;
	font-size: 1rem;
	cursor: pointer;
}

.restaurant-card {
	background-color: #0F0F0F;
	border-radius: 10px;
	border: 1px solid #cacaca30;
	overflow: hidden;
	margin-top: 1rem;
	display: block;
}
.restaurant-card:last-child{
	margin-bottom: 1rem;
}

.restaurant-info h2 {
	color: #fff;
	font-size: 14px;
	margin-top: 5px;
}

.restaurant-info span {
	color: #ffffff81;
	font-size: 12px;
	margin-top: 10px;
	line-height: 1.3;
	max-width: 200px;
}
.restaurant-info p {
	color: #fff;
	font-size: 12px;
	margin-top: 10px;
	line-height: 1.3;
	max-width: 200px;
}
.restaurant-image {
	width: 100%;
	height: 200px;
	object-fit: cover;
}

.restaurant-info {
	padding: 1rem;
	position: relative;
}

.restaurant-logo {
	width: 50px;
	height: 50px;
	background-color: var(--primary-color);
	border: 1px solid #0F0F0F;
	border-radius: 6px;
	margin-top: -3rem;
}

.rating {
	color: var(--primary-color);
}

.bottom-nav {
	position: fixed;
	bottom: 0;
	left: 0;
	right: 0;
	display: flex;
	justify-content: space-between;
	align-items: center;
	background-color: var(--background-color);
	padding: 0.5rem 1rem;
}
select.my_select:focus, input[type="text"]:focus {
	border-color: #000 !important;
}
.nav-btn {
	background: none;
	border: none;
	color: #888;
	display: flex;
	flex-direction: column;
	align-items: center;
	font-size: 0.8rem;
}

.nav-btn.active {
	color: var(--text-color);
}

.nav-center {
	width: 50px;
	height: 50px;
	background-color: var(--primary-color);
	border-radius: 50%;
	display: flex;
	justify-content: center;
	align-items: center;
}




/* responsive css */

@media (max-width: 1600px) {
	.main-cont h1 {
		font-size: 42px;
	}

	.connect-btn {
		font-size: 14px;
		padding: 18px;
	}

	.login-btn {
		font-size: 14px;
	}

	.btn-area {
		gap: 1rem;
	}
}

@media (max-width: 767px) {
	*::-webkit-scrollbar {
		display: none !important;
	}

}

@media (max-width: 575px) {
	.main-cont h1 {
		font-size: 36px;
	}

	.form-area h1 {
		font-size: 36px;
	}

	.form-area h2 {
		font-size: 12px;
	}

	.form-group label {
		font-size: 14px;
	}

	.int_pop form,
	.chat-sugg-2,
	.tile-bg>h2 {
		font-size: 14px;
	}

	.input-box>input {
		font-size: 14px;
	}

	.explore {
		margin-top: 10px;
	}
	.tile-bg>p {
		font-size: 12px;
	}
}

@media (max-width: 375px) {
	.check_area {
		font-size: 12px;
	}

	.explore {
		margin: 0px 0px -8px 75%;
		margin-top: 10px;
	}
}

@media (max-width: 320px) {

	.tile,
	.com_image {
		flex-basis: 47%;
	}
}